Draft: Unisci

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Join and the translation is 20% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Pagina precedente: Draft Trimex.svg Tronca o Estendi
Pagina successiva: Dividi Draft Split.svg Arrow-right.svg

Draft Join.svg Unisci

Posizione nel menu
Draft → Unisci
Ambiente
Draft, Arch
Avvio veloce
J O
Introdotto nella versione
0.18
Vedere anche
Dividi

Descrizione

Lo strumento Unisci tenta di unire tutti i contorni attualmente presenti nella selezione in un unico contorno.

Utilizzo

  1. Selezionare due o più contorni che si desidera unire.
  2. Premere il pulsante Draft Join.svg Unisci o premere i tasti J e poi O.

Notes

La controparte di questo strumento è l'operazione Draft Split.svg Dividi.

Scripting

Lo strumento Unisci può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

join_wires(wires)
  • wires is a list of wire objects to be joined.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(500, 0, 0)
p3 = App.Vector(500, 500, 0)
p4 = App.Vector(0, 500, 0)

wire1 = Draft.make_wire([p1, p2])
wire2 = Draft.make_wire([p2, p3])
wire3 = Draft.make_wire([p3, p4])
wire4 = Draft.make_wire([p4, p1])

Draft.join_wires([wire1, wire3, wire2, wire4])
doc.recompute()


Arrow-left.svg Pagina precedente: Draft Trimex.svg Tronca o Estendi
Pagina successiva: Dividi Draft Split.svg Arrow-right.svg